import { NextRequest, NextResponse } from 'next/server';

export async function POST(req: NextRequest) {
    const data = await req.json();

    const token = process.env.TELEGRAM_BOT_TOKEN;
    const chatId = process.env.TELEGRAM_CHAT_ID;

    if (!token || !chatId) {
        return NextResponse.json({ error: 'Missing env vars' }, { status: 500 });
    }
    console.log('gr')

    const text = `
<b>📬 Новая заявка</b>

🎮 Действие: ${data.type || '—'}
🖥 Кабина: ${data.room || '—'}
📅 Дата: ${data.date || '—'}
⏰ Время: ${data.time || '—'}
🧑 Имя: ${data.name || '—'}
🎮 Игра: ${data.game || '—'}
📞 Контакт: ${data.contact || '—'}
💬 Связь: ${data.contactMethod || '—'}
`;

    const res = await fetch(`https://api.telegram.org/bot${token}/sendMessage`, {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({
            chat_id: chatId,
            text,
            parse_mode: 'HTML',
        }),
    });

    if (!res.ok) {
        return NextResponse.json({ error: 'Failed to send' }, { status: 500 });
    }

    return NextResponse.json({ success: true });
}
